using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace skyscraper2.TsDuckInterface.Outputs
{
    class FileOutput : TspOutput
    {
        public FileOutput(FileInfo fileName)
        {
            FileName = fileName;
        }
            
        public FileInfo FileName { get; set; }


        public override string ToString()
        {
            StringBuilder sb = new StringBuilder();
            sb.Append("file");
            sb.AppendFormat(" \"{0}\"", FileName.FullName);
            return sb.ToString();
        }
    }
}
